{% extends 'layout.html' %} {% load static %}

{% block title %}
Jadwal Vaksin
{% endblock title %}

{% block js %}
<script src="{% static 'scripts/pengguna/jadwal_vaksin.js' %}"></script>
{% endblock js %}

{% block content %}
{% include 'navbar.html' %}
<div class="container mb-5" style="width: 50rem;">
    <br><br><br>
    {% for message in messages %}
    <div class="container-fluid p-0">
        <div class="alert alert-danger" role="alert">
            {{ message }}
        </div>
    </div>
    {% endfor %}
    <h1 class="text-center m-10">Jadwal Vaksin</h1><br><br>
    <table class="table table-striped table-bordered align-middle">
        <thead>
            <tr class="table-success" style="text-align:center;">
                <th>No.</th>
                <th>Instansi Penyelenggara</th>
                <th>Waktu Pelaksanaan</th>
                <th>Kuota</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            {% for jadwal in jadwal_list %}
            <tr style="text-align:center">
                <td>{{ forloop.counter }}</td>
                <td>{{ jadwal.nama_instansi }}</td>
                <td>{{ jadwal.tanggal_waktu|date:"j F Y" }} {{ jadwal.tanggal_waktu|time:"H:i" }}</td>
                <td>{{ jadwal.jumlah }}</td>
                <td hidden>{{ jadwal.kategori_penerima }}</td>
                <td hidden>{{ jadwal.nama_lokasi }}</td>
                <td hidden>{{ jadwal.kode_instansi }}</td>
                <td><button type="button" class="btn btn-primary daftar-button">Daftar</button></td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
<div class="modal fade" tabindex="-1" role="dialog" id="daftar-jadwal-modal"> 
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Detail Jadwal</h4>
        </div>
        <form action="{% url 'create-tiket-pengguna' %}" method="post">
            {% csrf_token %}
            <div class="modal-body">
                <div class="mb-3">
                    <label for="nama-instansi" class="col-form-label">Nama Instansi:</label>
                    <input type="text" class="form-control" id="nama-instansi" disabled>
                </div>
                <div class="mb-3">
                    <label for="tanggal-waktu" class="col-form-label">Tanggal dan Waktu Pelaksanaan:</label>
                    <input type="text" class="form-control" id="tanggal-waktu" name="tanggal-waktu" readonly>
                </div>
                <div class="mb-3">
                    <label for="kuota" class="col-form-label">Kuota:</label>
                    <input type="text" class="form-control" id="kuota" disabled>
                </div>
                <div class="mb-3">
                    <label for="kategori-penerima" class="col-form-label">Kategori Penerima:</label>
                    <input type="text" class="form-control" id="kategori-penerima" disabled>
                </div>
                <div class="mb-3">
                    <label for="lokasi-vaksin" class="col-form-label">Lokasi Vaksin:</label>
                    <input type="text" class="form-control" id="lokasi-vaksin" disabled>
                </div>
                <input type="text" class="form-control" id="kode-instansi" name="kode-instansi" readonly hidden>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" id="cancel">Cancel</button>
                <input type="submit" class="btn btn-primary" value="Daftar">
            </div>
        </form>
    </div>
</div>

{% endblock content %}